Package geany: Information

    Source package: geany
    Version: 2.0-alt2
    Latest version according to Repology
    Build time:  May 22, 2024, 10:48 PM in the task #346223
    Report package bug
    Home page: http://geany.org

    License: GPLv2
    Summary: A fast and lightweight IDE using GTK3
    Description: 
    Geany is a small and lightweight integrated development environment.
    It was developed to provide a small and fast IDE, which has only a few
    dependencies from other packages. Another goal was to be as
    independent as possible from a special Desktop Environment like KDE or
    GNOME. So it is using only the GTK3 toolkit and therefore you need
    only the GTK3 runtime libraries to run Geany.

    List of rpms provided by this srpm:
    geany (x86_64, ppc64le, i586, aarch64)
    geany-data (noarch)
    geany-debuginfo (x86_64, ppc64le, i586, aarch64)
    geany-devel (x86_64, ppc64le, i586, aarch64)

    Maintainer: George V. Kouryachy



      1. desktop-file-utils
      2. gcc-c++
      3. git-core
      4. intltool
      5. libgtk+3-devel
      6. libvte3-devel
      7. python3-module-docutils
      8. rpm-build-python3
      9. time

    Last changed


    Nov. 3, 2023 George V. Kouryachy 2.0-alt2
    - Eliminate GTK variety (Closes: #48302)
    - Enable VTE build
    Oct. 20, 2023 George V. Kouryachy 2.0-alt1
    - Autobuild version bump to 2.0
    May 23, 2022 George V. Kouryachy 1.38-alt1
    - Autobuild version bump to 1.38